<?php
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
HighLevel Spintax Engine
Copyright 2021 Patrick Friedl, Braintrust Interactive. All Rights Reserved
pat@braintrustinteractive.com
https://localbizdominance.com
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */

// import the config file
require dirname(__FILE__) . '/config.php';

// set up our variables
$output  = array(
	'status' => 0,
	'msg' => null
);

// check to make sure we have webhook data
if(!empty($input)){

	// check to make sure we have the required fields
	if(
		!empty($input->target_api_key) &&
		!empty($input->target_tag) &&
		!empty($input->location->id) &&
		!empty($input->contact_id)
	){

		// set the variables we'll be using
		$targetApiKey = trim($input->target_api_key);
		$targetTag = trim($input->target_tag);

		// get the data we need for copying the basic contact details
		$payload = processCustomFields($input,$targetTag);

		// call the API to create the contact
		$r = json_decode(doGHLCurl($ghlContactUpdate, $targetApiKey, $payload, 'post'));

		// process the resutls
		if(!empty($r->contact)){
			$output['status'] = 1;
			$output['msg'] = $r->contact->id . ' created in target location';
		} else {
			if(!empty($r->email)){
				$output['msg'] = $r->email->message;
			}
			if(!empty($r->phone)){
				$output['msg'] = (!empty($output['msg']))? $output['msg'] . ' ' . $r->phone->message : $r->phone->message;
			}
			if(!empty($r->msg)){
				$output['msg'] = $r->msg;
			}
		}

	} else {

		$output['msg'] = 'Missing required data to copy contact to target location';

	} // got all the deets?

} else {

	$output['msg'] = 'No data posted';

} // got input

// process user custom fields in spin subject & content
function processCustomFields($input,$tag){

	$data = array(
		'tags' => array($tag)
	);

	// recreate default custom fields if they're empty
	if(!empty($input->name)){ $data['name'] = $input->name; }
	if(!empty($input->first_name)){ $data['firstName'] = $input->first_name; }
	if(!empty($input->last_name)){ $data['lastName'] = $input->last_name; }
	if(!empty($input->email)){ $data['email'] = $input->email; }
	if(!empty($input->phone)){ $data['phone'] = $input->phone; }
	if(!empty($input->address1)){ $data['address1'] = $input->address1; }
	if(!empty($input->city)){ $data['city'] = $input->city; }
	if(!empty($input->state)){ $data['state'] = $input->state; }
	if(!empty($input->postal_code)){ $data['postalCode'] = $input->postal_code; }
	if(!empty($input->company_name)){ $data['companyName'] = $input->company_name; }
	if(!empty($input->website)){ $data['website'] = $input->website; }

	// return the populated data
	return $data;
}

// output the results to GHL's webhook
echo json_encode($output);
die();
?>