<?php
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
HighLevel Spintax Engine
Copyright 2021 Patrick Friedl, Braintrust Interactive. All Rights Reserved
pat@braintrustinteractive.com
https://localbizdominance.com
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */

// import the config file
require dirname(__FILE__) . '/config.php';

$spintax = new Spintax();
$subject = getRequest('subject');
$content = getRequest('content');
$spun_subject = null;
$spun_content = null;

if(!empty($subject)){
    $spun_subject = trim($spintax->process($subject));
}
if(!empty($content)){
    $spun_content = trim($spintax->process($content));
}
?>
<!doctype html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="preconnect" href="https://cdn.jsdelivr.net">
<link rel="preconnect" href="https://ajax.googleapis.com">
<link rel="preconnect" href="https://use.fontawesome.com">
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.15.2/css/all.css">
<title>Spintax Tester</title>
<style>
label {
    font-weight: bold;
    cursor: pointer;
}
#content {
    min-height:  300px;
}
.spun-content {
    font-size:  18px;
}
</style>
</head>
<body class="d-flex flex-column h-100 min-vh-100">
<!-- main container -->
<main class="flex-shrink-0 flex-fill">
<div class="container">
  <h1 class="text-center center-block mt-3 mb-4">
    Spintax Tester Thingy
  </h1>
</div>
<div class="container">
    <div class="row">
        <div class="col">
            <form method="post">
                <div class="mb-3">
                    <label for="subject" class="form-label">Sunject Line</label>
                    <input type="text" class="form-control" id="subject" name="subject" value="<?php echo $subject; ?>">
                </div>
                <div class="mb-3">
                    <label for="content" class="form-label">Email Body</label>
                    <textarea  class="form-control" id="content" name="content"><?php echo $content; ?></textarea>
                </div>
                <button type="submit" class="btn btn-primary btn-lg">Spin It!</button>
            </form>
        </div>
    </div>
</div>
<div class="container mt-5 spun-content">
  <div class="row mt-5">
    <div class="col mb-5">
        <strong>Spun Subject:</strong><br>
        <?php echo $spun_subject; ?>
    </div>
  </div>
    <div class="row">
    <div class="col">
        <strong>Spun Content:</strong><br>
        <?php echo $spun_content; ?>
    </div>
  </div>
</div>
</main>
<!-- /main container -->
<!-- footer -->
<footer class="footer mt-auto py-3">
    <div class="container footer-container">
        <div class="row">
            <div class="col text-center center-block">
                <strong>HighLevel Spintax Engine<br></strong>
                Copyright © 2021 Patrick Friedl, Braintrust Interactive. All Rights Reserved<br>
                pat@braintrustinteractive.com<br>
                <a href="https://localbizdominance.com" target="_blank">https://localbizdominance.com</a>
            </div>
        </div>
    </div>
</footer>
<!-- /footer -->
<!-- bootstrap -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js"></script>
<!-- jquery -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
jQuery(document).ready(function(){
});
</script>